aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFlammie Pirinen <flammie@gentoo.org>2011-05-09 20:54:25 +0300
committerFlammie Pirinen <flammie@gentoo.org>2011-05-09 20:54:25 +0300
commit70c3adb4fcc9aafacf05b58f52b03b9ad60dfde1 (patch)
tree1f647a8b55a4b9dd409f4df4a971c4889831cbc1 /sci-misc/sfst
parentRemove file with missing download. (diff)
downloadsci-70c3adb4fcc9aafacf05b58f52b03b9ad60dfde1.tar.gz
sci-70c3adb4fcc9aafacf05b58f52b03b9ad60dfde1.tar.bz2
sci-70c3adb4fcc9aafacf05b58f52b03b9ad60dfde1.zip
Version bu,p
Diffstat (limited to 'sci-misc/sfst')
-rw-r--r--sci-misc/sfst/ChangeLog5
-rw-r--r--sci-misc/sfst/Manifest4
-rw-r--r--sci-misc/sfst/sfst-1.4.2.ebuild82
3 files changed, 90 insertions, 1 deletions
diff --git a/sci-misc/sfst/ChangeLog b/sci-misc/sfst/ChangeLog
index e4f4c6729..f2e64acf2 100644
--- a/sci-misc/sfst/ChangeLog
+++ b/sci-misc/sfst/ChangeLog
@@ -2,6 +2,11 @@
# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*sfst-1.4.2 (09 May 2011)
+
+ 09 May 2011; <flammie@gentoo.org> +sfst-1.4.2.ebuild:
+ Version bump.
+
09 May 2011; <flammie@gentoo.org> -sfst-1.4.ebuild:
Remove ebuild with missing download.
diff --git a/sci-misc/sfst/Manifest b/sci-misc/sfst/Manifest
index fa7f462b4..8cc0a4e86 100644
--- a/sci-misc/sfst/Manifest
+++ b/sci-misc/sfst/Manifest
@@ -1,4 +1,4 @@
-MISC ChangeLog 914 RMD160 5d4e690c0f17b58d6475346b17d79751770d0e78 SHA1 bee63de2751aaaf61b627b6ea49458f13716c2c0 SHA256 30e3bf31044a894c3530cf172aa633411ce5d0e862ecc137e3177aad004e0506
+MISC ChangeLog 1014 RMD160 2c2501bcce89760a14ed39b8b426400dbda4ddd2 SHA1 198c994649f8eb66064f29aa6ae51f5410947026 SHA256 6a3e5a302797de075265a2e1d2346a7d3b6b6f6b3cd0b867185338c7f750a13e
AUX 50sfst-gentoo.el 215 RMD160 80bbc30f9e67a4a065d521593fa2a598dd721494 SHA1 f5c7c4e6a13ad8178465876f706cb42eeecf1be2 SHA256 d8207a2fb7d0d4d3c81b014cd0e5501b8efcfb196d18e100ac011776cc34addf
AUX SFST-1.3-gcc43.patch 1404 RMD160 b5b6e0c54a7dded1009fcd7aa06d09738fae2b96 SHA1 496fbe1a5ce5241c042614e920f4da5cb6f5f112 SHA256 0e25d451d9e7a7108492c59e4d605ea2c6909eba6f7677ad1f8d158be05180b8
AUX ftdetect-sfst.vim 83 RMD160 13bac861a8cd65f7896274c979a719795b8a69aa SHA1 15a75ae33e048a72bc00bd7ebb8f7d7db2811775 SHA256 8e48a335cebddc3f82af95bd826717b30e53164559f92124c20442eafac869e0
@@ -6,8 +6,10 @@ MISC metadata.xml 493 RMD160 ea55577c02d3767473d78e1e2b00cd8b556b9a13 SHA1 2a237
EBUILD sfst-1.1.ebuild 1835 RMD160 3e64bed7598acbd3ae730080aa5aa7b48f13985a SHA1 0b51f9ecf32c4f95fc9b262de3ddf51571b3e63d SHA256 e0bafa4204212c14209a663d856ffe69e93779f12533345472e1abf120dda4ce
EBUILD sfst-1.2.ebuild 1841 RMD160 b03952bc60a390b63bcec031e878c41742293965 SHA1 0fea341e08390c19ed62c1dd69589e4a817cc832 SHA256 6f108c3339c03f2373838fb7c228c6dcd9a973a13fc137314c683b2934259315
EBUILD sfst-1.3.ebuild 1909 RMD160 4316e8bde69e402c7f8fdb011450eaab2bce039c SHA1 2d08380736d4a5f3c21ff18bfa7ab9afc2a57b1c SHA256 f5e8c12e258b1fba49f1bfcdffcc8ea2f577feb12a740b789a21c24dc044843c
+EBUILD sfst-1.4.2.ebuild 2085 RMD160 5d8637d811003d355a71b6ac9d2f0709e8639b3d SHA1 a171c197eb44b1dddf4a5ba2f4fc6706183ddad0 SHA256 604947782c6b2551fa7881ee76939fd271539a75ff138adb02598786be1686ce
DIST SFST-1.1.tar.gz 474747 RMD160 91c7bf5f39d97225ff6fb315f4308e584380d882 SHA1 6aec4935b6479990199b2ec8b6ff75c382fb6236 SHA256 10792517303cdae430c13990e655c8332fe78fed177623e52746fd51074e0be9
DIST vim-mode.tar.gz 1104 RMD160 c7e3f79fb5bd466724c3d456a92fbeb07d355515 SHA1 83b9651a7e4ca9642b16be416e616734e8c3f88c SHA256 a62ba91c40da75be389a334db62cc2b4904bedfac657b185012b10f3f55dfe09
DIST sfst.el 4752 RMD160 b322b17fc4a0b9d22938af5438524cfac18f7a02 SHA1 779b36a5f60ea6ff6894950f82cce186397a6802 SHA256 b47ff59f5ff24482dbbb2f1e71a8b9ca234c4154487f83eb2118f1a62bb9eb5f
DIST SFST-1.2.tar.gz 470537 RMD160 00674aac48bd7d69ab19a247ce74b07b1159740b SHA1 527d13c6526f212ac036c32d0a0343309e92350a SHA256 4c3e99d1250e969904b21114b1d5cb30f6f9f1141455639047ff8289b3b3bb26
DIST SFST-1.3.tar.gz 470992 RMD160 ae767b482d453fc8ca78f36ae6340fdea545064c SHA1 642f9c0cacc9a248aae05b2e87ed4cd58b936ffa SHA256 4a6ef3e0dab446598b7471de8d45550e2e131e96cde714df47b4070d4c1326b2
+DIST SFST-1.4.2.tar.gz 490458 RMD160 77b0fd451026067ce91f6837d16cd6f55064ba35 SHA1 948f73fb6e66f30aadfb12311cbd4a8c7101494d SHA256 0f3040f9e79faa7fee083d3344a87db533dfd84340b43eb86e79a208c70ad7be
diff --git a/sci-misc/sfst/sfst-1.4.2.ebuild b/sci-misc/sfst/sfst-1.4.2.ebuild
new file mode 100644
index 000000000..e74fa6df9
--- /dev/null
+++ b/sci-misc/sfst/sfst-1.4.2.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils elisp
+
+MY_PN="SFST"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Uni Stuttgart Finite State Transducer tools"
+HOMEPAGE="http://www.ims.uni-stuttgart.de/projekte/gramotron/SOFTWARE/SFST.html"
+SRC_URI="ftp://ftp.ims.uni-stuttgart.de/pub/corpora/${MY_PN}/${MY_P}.tar.gz
+vim-syntax? ( ftp://ftp.ims.uni-stuttgart.de/pub/corpora/${MY_PN}/vim-mode.tar.gz )
+emacs? ( http://www.cis.uni-muenchen.de/~wastl/emacs/sfst.el )"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE="vim-syntax emacs"
+
+DEPEND="sys-libs/readline
+sys-devel/bison
+sys-devel/flex
+sys-apps/sed"
+RDEPEND="sys-libs/readline"
+
+S="${WORKDIR}/${MY_PN}"
+
+
+src_unpack() {
+ unpack ${A}
+ # settings in makefile are a bit hacky
+ #epatch "${FILESDIR}"/SFST-1.3-gcc43.patch || die "patch failed"
+ sed -i -e "s/^CFLAGS = -O3/CFLAGS = ${CFLAGS}/g" \
+ -e "s/local//g" \
+ -e 's/strip/echo strip removed: /g' \
+ -e 's/# FPIC/FPIC/' \
+ -e 's/ $(PREFIX/ $(DESTDIR)$(PREFIX/g' \
+ -e 's/ldconfig/true/' \
+ -e 's/$(INSTALL_LIBS)/$(INSTALL_DIR) $(DESTDIR)$(PREFIX)\/lib\n\t\0/' \
+ "${S}"/src/Makefile || die "sed failed"
+ cd "${S}"
+ if use emacs ; then
+ cp "${DISTDIR}/sfst.el" "${S}"
+ fi
+ if use vim-syntax ; then
+ mv "${WORKDIR}"/INSTALL "${S}"/INSTALL-vim-syntax
+ mv "${WORKDIR}"/sfst.vim "${S}"/
+ fi
+}
+
+src_compile() {
+ cd "${S}/src"
+ emake || die "make failed"
+ if use emacs ; then
+ cd "${S}"
+ elisp_src_compile
+ fi
+}
+
+src_install() {
+ cd "${S}/src"
+ # destdir works but prefix fails
+ emake DESTDIR="${D}" install maninstall libinstall || die "install failed"
+ cd "${S}"
+ dodoc README || die "doc failed"
+ insinto /usr/share/doc/${PF}/
+ doins doc/SFST-Manual.pdf doc/SFST-Tutorial.pdf || die "doc failed"
+ insinto /usr/share/${PN}
+ doins -r data/*
+ if use vim-syntax ; then
+ insinto /usr/share/vim/vimfiles/syntax/
+ doins sfst.vim
+ insinto /usr/share/vim/vimfiles/ftdetect/
+ newins "${FILESDIR}"/ftdetect-sfst.vim sfst.vim
+ dodoc INSTALL-vim-syntax
+ fi
+ if use emacs ; then
+ elisp_src_install
+ fi
+}
+